Subject: ARM64 readahead: fault retry breaks mmap file read random detection

From: [email-masked] (Mark Salyzyn)
Date: Mon, 21 Sep 2015 14:36:40 -0700

On 09/21/2015 02:09 PM, Will Deacon wrote:
> On Mon, Sep 21, 2015 at 09:39:50PM +0100, Mark Salyzyn wrote:
>> Description from commit 45cac65b0fcd
>>      ("readahead: fault retry breaks mmap file read random detection")
>> . . .
>> Yup, arm64 needs this too! Random read improves by 250%, sequential
>> read improves by 40%, and random write by 400% to an eMMC device with
>> dm crypto wrapped around it.
> Thanks for this. This must've gone in whilst we were developing the initial
> version of the arm64 port and has since gone unnoticed.
>
> I'll queue it on the arm64 fixes branch and send a pull request after
> some testing.
>
> Will

As noted, this fix may need to be propagated to all the arch-specific 
code, I was not in a position to check this out on arm (32 bit) and the 
benchmarking code I used did not immediately port to 32-bit.

Sincerely -- Mark Salyzyn